From: Simon McVittie <smcv@collabora.com>
Date: Fri, 6 Jan 2023 12:08:36 +0000
Subject: tests: Add missing dependency on permission-store GDBus header

When doing a clean build of x-d-p, we need generated headers to have
been generated before we try to compile code that includes them.

Resolves: https://github.com/flatpak/xdg-desktop-portal/issues/942
Signed-off-by: Simon McVittie <smcv@collabora.com>
Origin: upstream, 1.16.1, commit:d7cfc16a6dc11cb925116fe36c5ee23e7075849c
---
 tests/meson.build | 1 +
 1 file changed, 1 insertion(+)

diff --git a/tests/meson.build b/tests/meson.build
index 9391a9c..c77b397 100644
--- a/tests/meson.build
+++ b/tests/meson.build
@@ -116,6 +116,7 @@ endif
 test_portals = executable(
   'test-portals',
   impl_built_sources,
+  permission_store_built_sources,
   portal_built_sources,
   sd_escape_sources,
   test_portals_sources,
